# Generated from vincenty-1.0.8.gem by gem2rpm -*- rpm-spec -*-
%global gem_name vincenty

Name: rubygem-%{gem_name}
Version: 1.0.8
Release: 1%{?dist}
Summary: * Vincenty wrote an algorithm for calculating the bearing and distance between two coordinates on the earth and an algorithm for finding a second coordinate, given a starting coordinate, bearing and destination
License: MIT
URL: http://rbur004.github.com/vincenty/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(hoe-yard) >= 0.1.2
# BuildRequires: rubygem(hoe) >= 3.15
# BuildRequires: rubygem(hoe) < 4
BuildArch: noarch

%description
* Vincenty wrote an algorithm for calculating the bearing and distance between
two coordinates on the earth
and an algorithm for finding a second coordinate, given a starting coordinate,
bearing and destination.
The algorithms model the earth as an ellipsoid, using the WGS-84 model. This
is the common GPS model for
mapping to latitudes and longitudes.
This is a Ruby implementation of Vincenty's algorithms, and the Vincenty class
includes two methods for 
modeling the earth as a sphere. These were added as a reference for testing
the Vincenty algorithm, but
could be used on their own. 
The package also makes use of several other classes that may be useful in
their own Right. These include
class Angle, class Latitude (subclass of Angle), class Longitude (subclass of
Angle), 
class TrackAndBearing and class coordinate (which class Vincenty is a
subclass)
Angle requires extensions to Numeric and String to provide to_radians (to_r)
and to_degrees (to_d). String also includes a to_decimal_degrees(), which
converts most string forms of Latitude and Longitude to decimal form. These
extensions are included in the package in core_extensions.rb. Float has also
been extended to change round to have an optional argument specifying the
number of decimal places to round to. This is fully compatible with the
Float.round, as the default is to round to 0 decimal places.
*  The Vincenty code is based on the wikipedia presentation of the Vincenty
algorithm http://en.wikipedia.org/wiki/Vincenty%27s_formulae .
*  The algorithm was modified to include changes I found at
http://www.movable-type.co.uk/scripts/latlong-vincenty-direct.html.
*  I also altered the formulae to correctly return the bearing for angles
greater than 180. 
* Vincenty's original publication
** T Vincenty, "Direct and Inverse Solutions of Geodesics on the Ellipsoid
with application of nested equations", Survey Review, vol XXII no 176, 1975
http://www.ngs.noaa.gov/PUBS_LIB/inverse.pdf.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/Manifest.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/History.txt
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/test

%changelog
* Thu Sep 16 2021 mockbuilder - 1.0.8-1
- Initial package
